Package ej.bluetooth

## Class BluetoothStatus

- java.lang.Object
- - ej.bluetooth.BluetoothStatus

-     public class BluetoothStatus
      extends Object

  The `BluetoothStatus` class enumerates the values for error codes of ATT requests.

  Refer to "Core Specification Vol 3, Part F, 3.4.1.1 Error Response" and to "Core Specification Supplement Part B, 1.2 List of error codes".

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static byte` | `ATTRIBUTE_NOT_FOUND` | Attribute not found.
    `static byte` | `ATTRIBUTE_NOT_LONG` | Attribute not long.
    `static byte` | `CCC_DESCRIPTOR_IMPROPERLY_CONFIGURED` | CCC descriptor improperly configured.
    `static byte` | `INSUFFICIENT_AUTHENTICATION` | Insufficient authentication.
    `static byte` | `INSUFFICIENT_AUTHORIZATION` | Insufficient authorization.
    `static byte` | `INSUFFICIENT_ENCRYPTION` | Insufficient encryption.
    `static byte` | `INSUFFICIENT_KEY_SIZE` | Insufficient key size.
    `static byte` | `INSUFFICIENT_RESOURCES` | Insufficient resources.
    `static byte` | `INVALID_HANDLE` | Invalid handle.
    `static byte` | `INVALID_OFFSET` | Invalid offset.
    `static byte` | `INVALID_PDU` | Invalid PDU.
    `static byte` | `INVALID_VALUE_LENGTH` | Invalid value length.
    `static byte` | `OK` | OK.
    `static byte` | `OUT_OF_RANGE` | Out of range.
    `static byte` | `PREPARE_QUEUE_FULL` | Prepare queue full.
    `static byte` | `PROCEDURE_ALREADY_IN_PROGRESS` | Procedure already in progress.
    `static byte` | `READ_NOT_PERMITTED` | Read not permitted.
    `static byte` | `REQUEST_NOT_SUPPORTED` | Request not supported.
    `static byte` | `UNLIKELY` | Unlikely.
    `static byte` | `UNSUPPORTED_GROUP_TYPE` | Unsupported group type.
    `static byte` | `WRITE_NOT_PERMITTED` | Write not permitted.
    `static byte` | `WRITE_REQUEST_REJECTED` | Write request rejected.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BluetoothStatus()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OK

          public static final byte OK

      OK.
      See Also:
        Constant Field Values

    - #### INVALID_HANDLE

          public static final byte INVALID_HANDLE

      Invalid handle.
      See Also:
        Constant Field Values

    - #### READ_NOT_PERMITTED

          public static final byte READ_NOT_PERMITTED

      Read not permitted.
      See Also:
        Constant Field Values

    - #### WRITE_NOT_PERMITTED

          public static final byte WRITE_NOT_PERMITTED

      Write not permitted.
      See Also:
        Constant Field Values

    - #### INVALID_PDU

          public static final byte INVALID_PDU

      Invalid PDU.
      See Also:
        Constant Field Values

    - #### INSUFFICIENT_AUTHENTICATION

          public static final byte INSUFFICIENT_AUTHENTICATION

      Insufficient authentication.
      See Also:
        Constant Field Values

    - #### REQUEST_NOT_SUPPORTED

          public static final byte REQUEST_NOT_SUPPORTED

      Request not supported.
      See Also:
        Constant Field Values

    - #### INVALID_OFFSET

          public static final byte INVALID_OFFSET

      Invalid offset.
      See Also:
        Constant Field Values

    - #### INSUFFICIENT_AUTHORIZATION

          public static final byte INSUFFICIENT_AUTHORIZATION

      Insufficient authorization.
      See Also:
        Constant Field Values

    - #### PREPARE_QUEUE_FULL

          public static final byte PREPARE_QUEUE_FULL

      Prepare queue full.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_NOT_FOUND

          public static final byte ATTRIBUTE_NOT_FOUND

      Attribute not found.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_NOT_LONG

          public static final byte ATTRIBUTE_NOT_LONG

      Attribute not long.
      See Also:
        Constant Field Values

    - #### INSUFFICIENT_KEY_SIZE

          public static final byte INSUFFICIENT_KEY_SIZE

      Insufficient key size.
      See Also:
        Constant Field Values

    - #### INVALID_VALUE_LENGTH

          public static final byte INVALID_VALUE_LENGTH

      Invalid value length.
      See Also:
        Constant Field Values

    - #### UNLIKELY

          public static final byte UNLIKELY

      Unlikely.
      See Also:
        Constant Field Values

    - #### INSUFFICIENT_ENCRYPTION

          public static final byte INSUFFICIENT_ENCRYPTION

      Insufficient encryption.
      See Also:
        Constant Field Values

    - #### UNSUPPORTED_GROUP_TYPE

          public static final byte UNSUPPORTED_GROUP_TYPE

      Unsupported group type.
      See Also:
        Constant Field Values

    - #### INSUFFICIENT_RESOURCES

          public static final byte INSUFFICIENT_RESOURCES

      Insufficient resources.
      See Also:
        Constant Field Values

    - #### WRITE_REQUEST_REJECTED

          public static final byte WRITE_REQUEST_REJECTED

      Write request rejected.
      See Also:
        Constant Field Values

    - #### CCC_DESCRIPTOR_IMPROPERLY_CONFIGURED

          public static final byte CCC_DESCRIPTOR_IMPROPERLY_CONFIGURED

      CCC descriptor improperly configured.
      See Also:
        Constant Field Values

    - #### PROCEDURE_ALREADY_IN_PROGRESS

          public static final byte PROCEDURE_ALREADY_IN_PROGRESS

      Procedure already in progress.
      See Also:
        Constant Field Values

    - #### OUT_OF_RANGE

          public static final byte OUT_OF_RANGE

      Out of range.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BluetoothStatus

          public BluetoothStatus()